GET
/
v1
/
learning
/
public
/
quizzes
/
{skillId}
TypeScript client
import { TxAgentKitClient } from '@tx-agent-kit/sdk'

const client = new TxAgentKitClient({
  token: process.env.TX_AGENT_KIT_TOKEN
})

const response = await client.traceLearn.getTraceLearnPublicQuiz({
  skillId: process.env.TX_AGENT_KIT_SKILL_ID ?? "skillId",
})
{
  "skillId": "<string>",
  "releaseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "publicationKey": "<string>",
  "shortPool": true,
  "questions": [
    {
      "id": "<string>",
      "questionVersionId": "<string>",
      "subjectName": "<string>",
      "topicId": "<string>",
      "topicName": "<string>",
      "prompt": "<string>",
      "options": [
        "<string>"
      ],
      "expectedTimeSeconds": 123,
      "passage": "<string>",
      "clozeTemplate": "<string>",
      "clozeBlanks": [
        {
          "id": "<string>",
          "options": [
            "<string>"
          ]
        }
      ],
      "matchingLeftLabel": "<string>",
      "matchingRightLabel": "<string>",
      "matchingLeftItems": [
        "<string>"
      ],
      "matchingRightOptions": [
        "<string>"
      ],
      "sequenceChips": [
        {
          "id": "<string>",
          "label": "<string>"
        }
      ],
      "stimulus": {
        "kind": "analogy-grid",
        "a": "<string>",
        "b": "<string>",
        "c": "<string>",
        "visualTerms": {
          "a": {
            "kind": "l-shape-dot",
            "description": "<string>"
          },
          "b": {
            "kind": "l-shape-dot",
            "description": "<string>"
          },
          "c": {
            "kind": "l-shape-dot",
            "description": "<string>"
          }
        },
        "visualOptions": [
          {
            "kind": "l-shape-dot",
            "description": "<string>"
          }
        ]
      }
    }
  ]
}

Path Parameters

skillId
string
required

a string matching the pattern ^[a-z][a-z0-9.-]*$

Required string length: 1 - 160
Pattern: ^[a-z][a-z0-9.-]*$

Response

Success

skillId
string
required

a string matching the pattern ^[a-z][a-z0-9.-]*$

Required string length: 1 - 160
Pattern: ^[a-z][a-z0-9.-]*$
releaseId
string<uuid>
required

a Universally Unique Identifier

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
publicationKey
string
required

a string matching the pattern ^[a-f0-9]{64}$

Pattern: ^[a-f0-9]{64}$
shortPool
boolean
required
questions
maxItems(10) · object[]
required

an array of at most 10 item(s)

Maximum array length: 10